type Type<T> = new () => T;
export type ShareObject = {
    version: string;
    scope?: string;
    get: () => Promise<() => Type<unknown>>;
    shareConfig?: {
        singleton?: boolean;
        requiredVersion: string;
    };
};
export type ShareConfig = {
    [pkgName: string]: Array<ShareObject>;
};
export type ShareOptions = {
    singleton: boolean;
    requiredVersionPrefix: '^' | '~' | '>' | '>=' | '';
};
export declare function getShared(options?: ShareOptions): ShareConfig;
export {};
